﻿namespace EDPlayerJournal.Entries; 
public class MissionFailedEntry : Entry {
    public string? Name { get; set; }
    public ulong MissionID { get; set; }
    public int Fine { get; set; }

    public string? HumanReadableName {
        get {
            if (Name == null) return null;
            return HumanReadableMissionName.MakeHumanReadableName(Name);
        }
    }

    protected override void Initialise() {
        Name = JSON.Value<string>("Name");
        MissionID = JSON.Value<ulong?>("MissionID") ?? 0;
        Fine = JSON.Value<int?>("Fine") ?? 0;
    }
}
